set_project("ComSim")
add_requires("eigen", "openmp")
add_requires("cmake::Python3", {alias = "python", system = true, configs = {components = {"Development", "NumPy"}}})
add_rules("mode.debug", "mode.release")

target("ComSim")
    set_kind("binary")
    add_files("main.cpp")
    add_packages("eigen", "openmp", "python")
    add_includedirs("include")
    add_includedirs("/home/fox/.local/include")
    add_includedirs("/home/fox/miniconda3/lib/python3.9/site-packages/numpy/core/include")
    set_installdir("$(projectdir)/build")
